"""This module defines the romanization of hiragana and katana.
The accepted romanizations are: Hepburn, Nihon-shiki, and Kunrei-shiki.
Obsolete syllables such as ゐ and ヰ are ignored.
"""

HIRAGANA = {
    'あ': {'a'},
    'い': {'i'},
    'う': {'u'},
    'え': {'e'},
    'お': {'o'},
    'か': {'ka'},
    'き': {'ki'},
    'く': {'ku'},
    'け': {'ke'},
    'こ': {'ko'},
    'さ': {'sa'},
    'し': {'shi', 'si'},
    'す': {'su'},
    'せ': {'se'},
    'そ': {'so'},
    'た': {'ta'},
    'ち': {'chi', 'ti'},
    'つ': {'tsu', 'tu'},
    'て': {'te'},
    'と': {'to'},
    'な': {'na'},
    'に': {'ni'},
    'ぬ': {'nu'},
    'ね': {'ne'},
    'の': {'no'},
    'は': {'ha'},
    'ひ': {'hi'},
    'ふ': {'fu', 'hu'},
    'へ': {'he'},
    'ほ': {'ho'},
    'ま': {'ma'},
    'み': {'mi'},
    'む': {'mu'},
    'め': {'me'},
    'も': {'mo'},
    'や': {'ya'},
    'ゆ': {'yu'},
    'よ': {'yo'},
    'ら': {'ra'},
    'り': {'ri'},
    'る': {'ru'},
    'れ': {'re'},
    'ろ': {'ro'},
    'わ': {'wa'},
    'を': {'wo'},
    'ん': {'n'},
}

KATAKANA = {
    'ア': {'a'},
    'イ': {'i'},
    'ウ': {'u'},
    'エ': {'e'},
    'オ': {'o'},
    'カ': {'ka'},
    'キ': {'ki'},
    'ク': {'ku'},
    'ケ': {'ke'},
    'コ': {'ko'},
    'サ': {'sa'},
    'シ': {'shi', 'si'},
    'ス': {'su'},
    'セ': {'se'},
    'ソ': {'so'},
    'タ': {'ta'},
    'チ': {'chi', 'ti'},
    'ツ': {'tsu', 'tu'},
    'テ': {'te'},
    'ト': {'to'},
    'ナ': {'na'},
    'ニ': {'ni'},
    'ヌ': {'nu'},
    'ネ': {'ne'},
    'ノ': {'no'},
    'ハ': {'ha'},
    'ヒ': {'hi'},
    'フ': {'fu', 'hu'},
    'ヘ': {'he'},
    'ホ': {'ho'},
    'マ': {'ma'},
    'ミ': {'mi'},
    'ム': {'mu'},
    'メ': {'me'},
    'モ': {'mo'},
    'ヤ': {'ya'},
    'ユ': {'yu'},
    'ヨ': {'yo'},
    'ラ': {'ra'},
    'リ': {'ri'},
    'ル': {'ru'},
    'レ': {'re'},
    'ロ': {'ro'},
    'ワ': {'wa'},
    'ヲ': {'wo'},
    'ン': {'n'},
}
